PUT
/notebooks/{notebook_id}/actions/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/actions/?project_id=<PROJECT_ID>&action=<ACTION>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "reserved_ip_id": 49}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/actions/", params={"project_id": "<PROJECT_ID>", "action": "<ACTION>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "reserved_ip_id": 49, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{notebook_id}/actions/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", action: "<ACTION>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "reserved_ip_id": 49 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”notebook_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
action
required
string
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Body
Section titled “Request Body”Media typeapplication/json
object
reserved_ip_id
ID of the reserved IP. Send it only with attach_reserve_ip.
integer
Example
49Responses
Section titled “Responses”Notebook attached/detach to reserved IP successfully
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Notebook attach_reserve_ip successfully"}